Bug 1066679 (CVE-2013-6494) - CVE-2013-6494 fedup: /var/tmp/fedora-upgrade temporary directory creation vulnerability
Summary: CVE-2013-6494 fedup: /var/tmp/fedora-upgrade temporary directory creation vul...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: CVE-2013-6494
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1067295
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-02-18 21:50 UTC by Kurt Seifried
Modified: 2019-09-29 13:13 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-04-09 18:19:30 UTC


Attachments (Terms of Use)

Description Kurt Seifried 2014-02-18 21:50:24 UTC
Michael Scherer of Red Hat reports:

While trying to upgrade my F19 to F20 using fedup, I noticed that it use
a directory in /var/tmp/, with a fixed known name.

cachedir = '/var/tmp/fedora-upgrade'

Comment 1 Kurt Seifried 2014-02-20 07:08:50 UTC
One note, in fedup 0.8.0 (F20) the directory is now /var/tmp/system-upgrade

Comment 2 Kurt Seifried 2014-02-20 07:17:37 UTC
Filed a bug upstream:

https://github.com/wgwoods/fedup/issues/44

Comment 3 Kurt Seifried 2014-02-20 07:18:31 UTC
Created fedup tracking bugs for this issue:

Affects: fedora-all [bug 1067295]

Comment 4 Fedora Update System 2014-11-01 01:40:06 UTC
fedup-0.9.0-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 5 Fedora Update System 2014-11-05 03:57:29 UTC
fedup-0.9.0-2.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 6 Fedora Update System 2014-11-10 06:02:53 UTC
fedup-0.9.0-2.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 7 Will Woods 2015-04-09 18:19:30 UTC
Fixed in fedup-0.9.0:

   https://admin.fedoraproject.org/updates/search/CVE-2013-6494


Note You need to log in before you can comment on or make changes to this bug.